Add

  • POST
  • /workspaces
  • /:workspace
  • /members

Add a new member to the workspace

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

POST PARAMETERS
adminboolean
Whether the user has admin privileges
auto_assign_to_new_projectsboolean
Whether user is automatically assigned to new projects
auto_assign_permission_set_idinteger
ID of permission set to automatically assign to new projects
emailrequiredstring
The email address of the user

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the user
namestring
The name of the user
avatar_urlstring
The avatar URL of the user
emailstring
The email address of the user
adminboolean
Whether the user has admin privileges
workspace_ownerboolean
Whether the user is workspace owner
auto_assign_to_new_projectsboolean
Whether user is automatically assigned to new projects
auto_assign_permission_set_idinteger
ID of permission set to automatically assign to new projects

Last modified on Jan 26, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/members" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "admin": false, "auto_assign_to_new_projects": true, "auto_assign_permission_set_id": 1 }'